Kerbal Space Program - Bug #18782

The kerman in the fairing will still be calculated resistance
05/03/2018 04:22 AM - gdmf

Status: Closed Start date: 05/03/2018
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version: 1.5.0

Version: 1.4.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

The kerman in the fairing or Service bay will still be calculated resistance even if the kerman is sitting on a chair.

Related issues:
Related to Kerbal Space Program - Bug #18105: Seated Kerbals Not Ocluded In C... Closed 03/17/2018

History

#1 - 05/03/2018 07:29 AM - jclovis3

There are a lot of objects that will continue to have resistance if you move them into another object. The unreal ability to overlap tanks, engines, and
just about any other object does not make one object lie inside the other for wind drag calculations. You will see this if you try to push parts into the
skin of the ship and zoom in to watch the wind drag during flight.

To gain the protection from a fairing, the part (chair) needs to be attached to the base of the fairing or one of it's stacked nodes (shelves of sort).
Without your craft file, it is difficult to see how exactly you have this chair situated, but | know you can't assign Kerbals to the chairs, which means he
had to start from outside and climb into it somehow. This would only be possible | believe if the chair was mounted in such a way that it is calculated
as being outside the fairing.

#2 - 05/03/2018 02:55 PM - gdmf
- File 20180503121840_1.jpg added
- File bug.craft added

#3 - 05/03/2018 02:55 PM - gdmf
- File deleted (20180503121840_1.jog)

#4 - 05/13/2018 07:17 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This is a duplicate of https://bugs.kerbalspaceprogram.com/issues/18105
duplicate, and confirmation that it still exists in 1.4.3.

The protection of fairings and cargo bays does, in fact, extend to parts that are spatially inside them, regardless of connection to nodes, since the
enhancement described here
https://forum.kerbalspaceprogram.com/index.php?/developerarticles.html/on-cargo-bays-and-part-occlusion-r156/

#5 - 06/26/2018 10:29 AM - TriggerAu
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Fixedin 1.4.4

#6 - 06/30/2018 11:40 PM - Anonymous
- File screenshot14.jpg added
- Status changed from Resolved to Updated
https://bugs.kerbalspaceprogram.com/issues/18105
https://forum.kerbalspaceprogram.com/index.php?/developerarticles.html/on-cargo-bays-and-part-occlusion-r156/

- % Done changed from 100 to 10

The craft provided in the original post shows the same behavior in version 1.4.4 (image attached).

After moving the Kerbal to the EAS-1 chair, a quicksave/quickload before launch gives desired behavior (and makes the craft much easier to fly).

#7 - 07/05/2018 03:22 AM - bewing

- Related to Bug #18105: Seated Kerbals Not Ocluded In Cargo/Materials Bays/Fairings. added

#9 - 10/15/2018 06:50 PM - joshua.collins
- Status changed from Updated to Ready to Test
- Target version set to 1.5.0

- % Done changed from 10 to 80

#10 - 12/08/2018 06:22 AM - Anonymous

Mostly fixed in 1.4.4, and now no longer needs the quicksave/quickload (mentioned above as a workaround) so completely fixed.

#11 - 12/08/2018 06:38 AM - Anonymous
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#12 - 12/13/2018 12:55 AM - joshua.collins

- Status changed from Resolved to Closed
